Bug 61650 - Allow databases/py-bsddb to use any of the db4* ports
Summary: Allow databases/py-bsddb to use any of the db4* ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hye-Shik Chang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-01-20 22:20 UTC by Scot W. Hetzel
Modified: 2004-01-26 01:55 UTC (History)
0 users

See Also:


Attachments
file.diff (1.66 KB, patch)
2004-01-20 22:20 UTC, Scot W. Hetzel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Scot W. Hetzel 2004-01-20 22:20:12 UTC
	Currently, the py-bsddb port will only builds with
	the db3, db4 or db41 ports.  It is missing support for
	building with the db42 port.

Fix: The following patch allows anyone to choose which version
	of the Berkley DB to use by defining WITH_DB3, WITH_DB4,
	or WITH_BDB_VER when building the port.

	NOTE: WITH_DB3 overrides WITH_BDB_VER, while WITH_DB4 does
	not override WITH_BDB_VER.
How-To-Repeat: 	Install databases/db42 and databases/py-bsddbi (db41 installed by default).
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2004-01-21 11:15:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perky

Over to maintainer.
Comment 2 Hye-Shik Chang freebsd_committer 2004-01-26 01:55:05 UTC
State Changed
From-To: open->closed

Committed. Thanks!